%global         _hardened_build 1
%global         oldname     UnitTest++

Name:           unittest-cpp
Version:        2.0.0
Release:    1%{?dist}
Summary:        Lightweight unit testing framework for C++
License:        MIT

URL:            https://github.com/%{name}/%{name}
Source0:        %url/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.html
Patch0:         fix_version_2.0.0.patch

BuildRequires: make
BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  libtool

%description
%{name} is a lightweight unit testing framework for C++.
Simplicity, portability, speed, and small footprint are all
very important aspects of %{name}.

%package devel
Summary:        Object files for development using %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the object files
necessary for developing test programs.

%package static
Summary:        Static library for %{name}
Requires:       %{name} = %{version}-%{release}

%description static
The %{name}-static package contains the object files
necessary for statically linking test programs.

%prep
%autosetup -p1
cp -p %SOURCE1 .
touch NEWS
ln README.md README
ln LICENSE COPYING
autoreconf -i

%build
%configure
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%check
make check

%install
%make_install
rm -f %{buildroot}%{_libdir}/lib%{oldname}.la

%files
%doc AUTHORS README.md
%license LICENSE
%{_libdir}/lib%{oldname}.so.2*

%files devel
%doc %{name}.html
%{_includedir}/%{oldname}
%{_libdir}/lib%{oldname}.so
%{_libdir}/pkgconfig/UnitTest++.pc

%files static
%{_libdir}/lib%{oldname}.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
